Commit 3b80559f authored by Jakob Blomer's avatar Jakob Blomer
Browse files

Merge branch 'cmssw-cc8' into 'qa'

Added cmssw/cc8:latest image

See merge request !16
parents 45aeb99d 18b8e8f3
Present repository deploys provided list of docker images in cvmfs.
Jenkins job that takes care of uploading the content on the repo:
https://lcgapp-services.cern.ch/jenkins/view/CVMFS/job/unpacked.cern.ch/
Statistics for the storage system based on S3:
https://filer-carbon.cern.ch/grafana/d/CpZ5wupmz/s3-bucket-statistics?orgId=1&var-bucket=cvmfs-unpacked&from=now%2Fd&to=now%2Fd&refresh=30s
\ No newline at end of file
#!/bin/bash
error_count=0
while true
do
git --version > /dev/null 2>&1 || { echo "git is required but it is not installed. Aborting."; exit 1; }
ducc version > /dev/null 2>&1 || { echo "ducc is required but it is not installed. Aborting."; exit 1; }
update_error_count=0
while true
do
# if for 3 times was no possible to update the repository we send an email and we exit.
if [ $update_error_count -ge 3 ]; then
echo "" | mail -s "[unpacked.cern.ch] Error on contacting the gitlab repository" simone.mosciatti@cern.ch
exit 2;
fi
(git clone ssh://git@gitlab.cern.ch:7999/unpacked/sync.git unpacked > /dev/null)
pushd unpacked
(git pull origin master)
pull_status=$?
popd
if [ $pull_status -eq 0 ]; then
break;
else
update_error_count=$(( update_error_count+1))
fi
done
(ducc convert unpacked/recipe.yaml)
conversion_status=$?
echo "ReturnCode: $conversion_status"
if [ $conversion_status -ne 0 ]; then
error_count=$(( error_count+1 ))
echo "Error: $conversion_status"
echo "error_count: $error_count"
if [ $error_count -ge 10 ]; then
echo "" | mail -s "[unpacked.cern.ch] Error on unpacked.cern.ch $conversion_status" simone.mosciatti@cern.ch
exit 1
fi
else
echo "Re-setting error_count"
error_count=0
fi
sleep 10
done
version: 1
user: smosciat
user: cvmfsunpacker
cvmfs_repo: 'unpacked.cern.ch'
output_format: 'https://gitlab-registry.cern.ch/unpacked/sync/$(image)'
input:
......@@ -8,3 +8,32 @@ input:
- 'https://registry.hub.docker.com/library/centos:latest'
- 'https://registry.hub.docker.com/library/centos:centos6'
- 'https://registry.hub.docker.com/library/centos:centos7'
- 'https://registry.hub.docker.com/atlas/analysisbase:21.2.60'
- 'https://registry.hub.docker.com/cmssw/cc8:latest'
- 'https://registry.hub.docker.com/cmssw/cc7:latest'
- 'https://registry.hub.docker.com/cmssw/cc7:bootstrap'
- 'https://registry.hub.docker.com/cmssw/slc6:latest'
- 'https://registry.hub.docker.com/cmssw/slc5:latest'
- 'https://registry.hub.docker.com/cmssw/slc7-installer:latest'
- 'https://registry.hub.docker.com/cmssw/cms:rhel7'
- 'https://registry.hub.docker.com/cmssw/cms:rhel6'
- 'https://registry.hub.docker.com/stfc/grid-workernode-c6:2018-12-14.1'
- 'https://registry.hub.docker.com/stfc/grid-workernode-c7:2018-12-14.1'
- 'https://registry.hub.docker.com/atlrpv1l/stop1lxaod:latest'
- 'https://registry.hub.docker.com/atlasml/ml-base:latest'
- 'https://registry.hub.docker.com/atlasml/ml-base:bionic'
- 'https://registry.hub.docker.com/atlasml/ml-base:py-3.6.8'
- 'https://registry.hub.docker.com/atlasml/ml-base:py-3.7.2'
- 'https://registry.hub.docker.com/atlasml/ml-base:centos'
- 'https://registry.hub.docker.com/atlasml/ml-base:centos-py-3.6.8'
- 'https://registry.hub.docker.com/atlasml/ml-base:centos-py-3.7.2'
- 'https://registry.hub.docker.com/atlasml/atlasml-base:latest'
- 'https://registry.hub.docker.com/atlasml/atlasml-base:py-3.6.8'
- 'https://registry.hub.docker.com/atlasml/atlasml-base:py-3.7.2'
- 'https://registry.hub.docker.com/atlasadc/atlas-grid-centos7:latest'
- 'https://registry.hub.docker.com/danikam/atlas-grid-centos7-pip:latest'
- 'https://registry.hub.docker.com/lofaruser/imaging-pipeline:v0.2'
- 'https://registry.hub.docker.com/clelange/cms-higgs-4l-full:latest'
- 'https://gitlab-registry.cern.ch/clange/jetmetanalysis:latest'
- 'https://registry.hub.docker.com/atlas/analysisbase:21.2.88'
- 'https://registry.hub.docker.com/jodafons/gpu-base:latest'
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment